1. iMore Question's Avatar
    I am trying to set up my wife's new iPhone 6 I have backed up her old 5 to ICloud and when I try to download the backup to the new phone it says 8.3 required . I have checked the software in the old phone and it says it is 8.3 and up to date .

    Very annoying any advice please .
    06-04-2015 04:50 AM
  2. sioux21's Avatar
    This is so annoying. It also happened to me when I got my new iPhone plus.

    I resetted the complete iPhone means nplayed new software on it then it worked for me.
    06-04-2015 04:52 AM

Similar Threads

  1. New Style of Search Functionality
    By Disturbed_Angel in forum Site Feedback & Help
    Replies: 4
    Last Post: 06-11-2015, 08:21 PM
  2. ++MINT++ iPhone 6 Plus 64 GB Space Gray + Box + Accessories + Cases
    By worldspy99 in forum Marketplace Archive
    Replies: 3
    Last Post: 06-04-2015, 12:24 AM
  3. Replies: 1
    Last Post: 06-03-2015, 08:05 PM
LINK TO POST COPIED TO CLIPBOARD